## phoenix-firmware 4.7.4+repack

=== kuttyPy/firmware/Makefile ===
all:
	compile.sh

=== debian/changelog ===
phoenix-firmware (4.7.4+repack-3) unstable; urgency=medium

  * removed debian/watch, since the firmware is stable for a long time,
    and does not depend on tags v* from the github repository
    expeyes-programs

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Aug 2020 14:40:54 +0200

phoenix-firmware (4.7.4+repack-2) unstable; urgency=medium

  * a new release to make a source-only upload.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Jun 2020 16:19:11 +0200

phoenix-firmware (4.7.4+repack-1) unstable; urgency=medium

  * first release. Closes: #953175
  * precised the copyright about files due to the pioneers of Arduino,
    embedded in microhope/firmware source code. Thos authors no longer
    publish e-mail addresses, however they may reply in arduino's forum
    at https://forum.arduino.c
    Thanks Thorsten Alteholz, for pointing this missing copyright notice.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 07 Mar 2020 17:15:50 +0100

=== debian/control ===
Source: phoenix-firmware
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11),
 gcc-avr, binutils-avr, avr-libc (>=1:1.8.0+Atmel3.5.0)
Standards-Version: 4.1.5
Homepage: https://expeyes.in
Vcs-Browser: https://salsa.debian.org/georgesk/phoenix-firmware
Vcs-Git: https://salsa.debian.org/georgesk/phoenix-firmware.git

Package: phoenix-firmware
Architecture: all
Depends: ${misc:Depends}
Conflicts: expeyes-firmware-dev,
 microhope (<<4.6.1)
Description: firmware necessary for boxes issued by project PHOENIX
 The project PHOENIX, created by Ajith Kumar, from Inter-University
 Accelerator Centre (IUAC) in New Delhi, is aimed at creating 
 “Physics with Home-made Equipment and Innovative Experiments” (Phoenix).
 The popular boxes distributed by this projet are named expeyes, kuttypy,
 microhope. Each of them is based on a microcontroller, and provide their
 unique features thanks to the microcode burnt into those microcontrollers.
 More information is available at https://expeyes.wordpress.com/phoenix/
 This package provides the source and the binary formats for that firmware.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

DESTDIR = debian/phoenix-firmware

override_dh_auto_build:
	$(MAKE) all_firmware

override_dh_auto_clean:
	$(MAKE) clean_firmware
	rm -f firmware/eyes firmware/mca firmware/*.hex

override_dh_auto_install:
	for d in expeyes kuttypy microhope; do \
	  mkdir -p $(DESTDIR)/usr/share/phoenix-firmware/$$d; \
	done
	cp -a firmware/* $(DESTDIR)/usr/share/phoenix-firmware/expeyes
	cp -a kuttyPy/firmware/* $(DESTDIR)/usr/share/phoenix-firmware/kuttypy
	cp -a microhope/firmware/* $(DESTDIR)/usr/share/phoenix-firmware/microhope

override_dh_builddeb:
	# remove executable flags (ELF files are for AVR)
	# except for shell scripts
	for f in $$(find $(DESTDIR)/usr/share/phoenix-firmware -type f); do \
	   if file $$f | grep -q "shell script"; then chmod +x $$f; \
	   else chmod -x $$f; fi; \
	done
	dh_builddeb

## phoenix-firmware 4.7.5+repack

=== Makefile ===
DESTDIR =
SUBDIRS = bin po clib/expeyes-clib microhope \
          microhope/po microhope/microhope-doc
SUBDIRS_INDEP = expeyes-web eyes17/lang eyes17/layouts eyes17/helpFiles

all: all_arch all_indep all_firmware

all_arch:
	python3 setup.py build
	for d in $(SUBDIRS); do \
	  if [ -f $$d/configure.ac ]; then \
	    (cd $$d; autoreconf --install;) \
	  fi; \
	  if [ -x $$d/configure ]; then \
	    (cd $$d; ./configure -prefix=/usr; $(MAKE) all;) \
	  else \
	    $(MAKE) -C $$d all; \
	  fi; \
	done

all_indep:
	for d in $(SUBDIRS_INDEP); do \
	  $(MAKE) -C $$d all; \
	done
	# make the bootloader hex file
	# $(MAKE) -C microhope/firmware atmega32

all_firmware:
	for d in firmware kuttyPy/firmware microhope/firmware; do \
	  $(MAKE) -C $$d all; \
	done

clean_firmware: clean
	# clean the bootloader hex file
	make -C microhope/firmware clean

install: install_arch install_indep

install_arch:
	# for python3-expeyes
	if grep -Eq "Debian|Ubuntu" /etc/issue; then \
	  python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	else \
	  python3 setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	fi
	install -d $(DESTDIR)/lib/udev/rules.d/
	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
	# for expeyes
	install -d $(DESTDIR)/usr/share/expeyes
	cp -a eyes eyes-junior eyes17 $(DESTDIR)/usr/share/expeyes
	# icons
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-logo.png \
	  $(DESTDIR)/usr/share/icons/expeyes.png
	install -m 644 pixmaps/expeyes-junior-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/eyes17-logo.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/nuclear-icon.png \
	  $(DESTDIR)/usr/share/icons
	# desktop files
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/expeyes.desktop \
	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
	  desktop/expeyes-17.desktop \
	  $(DESTDIR)/usr/share/applications
	$(MAKE) -C po install DESTDIR=$(DESTDIR)
	# for expeyes-doc-common
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/*doc.desktop $(DESTDIR)/usr/share/applications
	# subdirs stuff
	for d in $(SUBDIRS); do \
	  $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
	done
	# fix permissions in /usr/share/expeyes
	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
	# for expeyes-clib
	rm -f  $(DESTDIR)/usr/share/expeyes/clib
	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib

install_indep:
	for d in $(SUBDIRS_INDEP); do \
	  $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
	done


clean:
	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d distclean || $(MAKE) -C $$d clean; \
	done
	[ ! -d clib ] || (cd clib/expeyes-clib && sh clean-all.sh)


.PHONY: all all_arch all_indep all_firmware install install_arch install_indep clean clean_firmware

=== microhope/Makefile ===
DESTDIR =


all: uhope

uhope: uhope.c
	$(CC) uhope.c -o uhope $(CFLAGS) $(LDFLAGS) -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED `pkg-config gtk+-2.0 --cflags --libs`

install: uhope
	install -m 755 uhope $(DESTDIR)/usr/bin

clean:
	rm -f *.o uhope *~ *.pyc

.PHONY: all install clean

=== kuttyPy/firmware/Makefile ===
all:
	sh compile.sh kuttyPy

=== microhope/firmware/Makefile ===
# Makefile for ATmegaBOOT
# E.Lins, 18.7.2005
# $Id$
#
# Instructions
#
# To make bootloader .hex file:
# make diecimila
# make lilypad
# make ng
# etc...
#
# To burn bootloader .hex file:
# make diecimila_isp
# make lilypad_isp
# make ng_isp
# etc...

# program name should not be changed...
PROGRAM    = Bootloader

# enter the parameters for the avrdude isp tool
ISPTOOL	   = avrisp2
ISPPORT	   = /dev/tty.PL2303-00001004
ISPSPEED   = -b 115200

MCU_TARGET = atmega168
LDSECTION  = --section-start=.text=0x3800

# the efuse should really be 0xf8; since, however, only the lower
# three bits of that byte are used on the atmega168, avrdude gets
# confused if you specify 1's for the higher bits, see:
# http://tinker.it/now/2007/02/24/the-tale-of-avrdude-atmega168-and-extended-bits-fuses/
#
# similarly, the lock bits should be 0xff instead of 0x3f (to
# unlock the bootloader section) and 0xcf instead of 0x0f (to
# lock it), but since the high two bits of the lock byte are
# unused, avrdude would get confused.

ISPFUSES    = avrdude -c $(ISPTOOL) -p $(MCU_TARGET) -P $(ISPPORT) $(ISPSPEED) \
-e -u -U lock:w:0x3f:m  -U hfuse:w:0x$(HFUSE):m -U lfuse:w:0x$(LFUSE):m
# -U efuse:w:0x$(EFUSE):m
ISPFLASH    = avrdude -c $(ISPTOOL) -p $(MCU_TARGET) -P $(ISPPORT) $(ISPSPEED) \
-U flash:w:$(PROGRAM)_$(TARGET).hex -U lock:w:0x0f:m

STK500 = "C:\Program Files\Atmel\AVR Tools\STK500\Stk500.exe"
STK500-1 = $(STK500) -e -d$(MCU_TARGET) -pf -vf -if$(PROGRAM)_$(TARGET).hex \
-lFF -LFF -f$(HFUSE)$(LFUSE) -EF8 -ms -q -cUSB -I200kHz -s -wt
STK500-2 = $(STK500) -d$(MCU_TARGET) -ms -q -lCF -LCF -cUSB -I200kHz -s -wt


OBJ        = $(PROGRAM).o
OPTIMIZE   = -O2

DEFS       = 
LIBS       =

CC         = avr-gcc

# Override is only needed by avr-lib build system.

override CFLAGS        = -g -Wall $(OPTIMIZE) -mmcu=$(MCU_TARGET) -DF_CPU=$(AVR_FREQ) $(DEFS)
override LDFLAGS       = -Wl,$(LDSECTION)
#override LDFLAGS       = -Wl,-Map,$(PROGRAM).map,$(LDSECTION)

OBJCOPY        = avr-objcopy
OBJDUMP        = avr-objdump

all: atmega32

lilypad: TARGET = lilypad
lilypad: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>1' '-DNUM_LED_FLASHES=3'
lilypad: AVR_FREQ = 8000000L
lilypad: $(PROGRAM)_lilypad.hex

lilypad_isp: lilypad
lilypad_isp: TARGET = lilypad
lilypad_isp: HFUSE = DD
lilypad_isp: LFUSE = E2
lilypad_isp: EFUSE = 00
lilypad_isp: isp

lilypad_resonator: TARGET = lilypad_resonator
lilypad_resonator: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=3'
lilypad_resonator: AVR_FREQ = 8000000L
lilypad_resonator: $(PROGRAM)_lilypad_resonator.hex

lilypad_resonator_isp: lilypad_resonator
lilypad_resonator_isp: TARGET = lilypad_resonator
lilypad_resonator_isp: HFUSE = DD
lilypad_resonator_isp: LFUSE = C6
lilypad_resonator_isp: EFUSE = 00
lilypad_resonator_isp: isp

pro8: TARGET = pro_8MHz
pro8: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro8: AVR_FREQ = 8000000L
pro8: $(PROGRAM)_pro_8MHz.hex

pro8_isp: pro8
pro8_isp: TARGET = pro_8MHz
pro8_isp: HFUSE = DD
pro8_isp: LFUSE = C6
pro8_isp: EFUSE = 00
pro8_isp: isp

pro16: TARGET = pro_16MHz
pro16: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro16: AVR_FREQ = 16000000L
pro16: $(PROGRAM)_pro_16MHz.hex

pro16_isp: pro16
pro16_isp: TARGET = pro_16MHz
pro16_isp: HFUSE = DD
pro16_isp: LFUSE = C6
pro16_isp: EFUSE = 00
pro16_isp: isp

pro20: TARGET = pro_20mhz
pro20: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' '-DWATCHDOG_MODS'
pro20: AVR_FREQ = 20000000L
pro20: $(PROGRAM)_pro_20mhz.hex

pro20_isp: pro20
pro20_isp: TARGET = pro_20mhz
pro20_isp: HFUSE = DD
pro20_isp: LFUSE = C6
pro20_isp: EFUSE = 00
pro20_isp: isp

diecimila: TARGET = diecimila
diecimila: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1'
diecimila: AVR_FREQ = 16000000L 
diecimila: $(PROGRAM)_diecimila.hex

diecimila_isp: diecimila
diecimila_isp: TARGET = diecimila
diecimila_isp: HFUSE = DD
diecimila_isp: LFUSE = FF
diecimila_isp: EFUSE = 00
diecimila_isp: isp

ng: TARGET = ng
ng: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>1' '-DNUM_LED_FLASHES=3'
ng: AVR_FREQ = 16000000L
ng: $(PROGRAM)_ng.hex

ng_isp: ng
ng_isp: TARGET = ng
ng_isp: HFUSE = DD
ng_isp: LFUSE = FF
ng_isp: EFUSE = 00
ng_isp: isp

atmega328: TARGET = atmega328
atmega328: MCU_TARGET = atmega328p
atmega328: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' -DBAUD_RATE=57600
atmega328: AVR_FREQ = 16000000L 
atmega328: LDSECTION  = --section-start=.text=0x7000
atmega328: $(PROGRAM)_atmega328.hex

atmega328_isp: atmega328
atmega328_isp: TARGET = atmega328
atmega328_isp: MCU_TARGET = atmega328p
atmega328_isp: HFUSE = DA
atmega328_isp: LFUSE = FF
atmega328_isp: EFUSE = 05
atmega328_isp: isp

atmega32: TARGET = atmega32
atmega32: MCU_TARGET = atmega32
atmega32: CFLAGS += '-DMAX_TIME_COUNT=F_CPU>>4' '-DNUM_LED_FLASHES=1' 
atmega32: AVR_FREQ = 8000000L 
atmega32: LDSECTION  = --section-start=.text=0x7000
atmega32: $(PROGRAM)_atmega32.hex

atmega32_isp: atmega32
atmega32_isp: TARGET = atmega32
atmega32_isp: MCU_TARGET = atmega32
atmega32_isp: HFUSE = DA
atmega32_isp: LFUSE = FF
atmega32_isp: isp


isp: $(TARGET)
	$(ISPFUSES)
	$(ISPFLASH)

isp-stk500: $(PROGRAM)_$(TARGET).hex
	$(STK500-1)
	$(STK500-2)

%.elf: $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf *.o *.elf *.lst *.map *.sym *.lss *.eep *.srec *.bin *.hex

%.lst: %.elf
	$(OBJDUMP) -h -S $< > $@

%.hex: %.elf
	$(OBJCOPY) -j .text -j .data -O ihex $< $@

%.srec: %.elf
	$(OBJCOPY) -j .text -j .data -O srec $< $@

%.bin: %.elf
	$(OBJCOPY) -j .text -j .data -O binary $< $@

=== debian/changelog ===
phoenix-firmware (4.7.5+repack-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:38:12 +0100

phoenix-firmware (4.7.5+repack-1) unstable; urgency=medium

  * fixed bug #975170. Closes: #975170
  * ensured a newline at end of debian/control
  * fixed the name of the binary package in debian/rules
  * updated lintian orverrides

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Nov 2020 15:58:53 +0100

phoenix-firmware (4.7.4+repack1-2) unstable; urgency=medium

  * this revision is just there to make a source upload.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Oct 2020 09:44:11 +0100

phoenix-firmware (4.7.4+repack1-1) unstable; urgency=medium

  * changed the name of the source package as it should enter the NEW queue.
  * renamed the binary package from "phoenix-firmware" to "firm-phoenix-ware".
    .
    The (ir)rationale for this change of name is, that when non-free images
    of Debian "testing" installer are build, any package whose name contains
    the string "firmware" becomes a dependency. Additionnally, this package
    build-depends on gcc-avr, which happends to FTBFS during Bullseye
    maturation. Those issues were commented by email, and can be viewed
    in the archive of the mailing list debian-live@lists.debian.org, near
    mid-August.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 15 Aug 2020 18:03:04 +0200

=== debian/control ===
Source: phoenix-firmware
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13), gcc-avr, binutils-avr, avr-libc (>= 1:1.8.0+Atmel3.5.0)
Standards-Version: 4.1.5
Homepage: https://expeyes.in
Vcs-Browser: https://salsa.debian.org/georgesk/phoenix-firmware
Vcs-Git: https://salsa.debian.org/georgesk/phoenix-firmware.git

Package: firm-phoenix-ware
Architecture: all
Depends: ${misc:Depends}
Conflicts: expeyes-firmware-dev,
 microhope (<<4.6.1)
Description: firmware necessary for boxes issued by project PHOENIX
 The project PHOENIX, created by Ajith Kumar, from Inter-University
 Accelerator Centre (IUAC) in New Delhi, is aimed at creating
 “Physics with Home-made Equipment and Innovative Experiments” (Phoenix).
 The popular boxes distributed by this projet are named expeyes, kuttypy,
 microhope. Each of them is based on a microcontroller, and provide their
 unique features thanks to the microcode burnt into those microcontrollers.
 More information is available at https://expeyes.wordpress.com/phoenix/
 This package provides the source and the binary formats for that firmware.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

PACKAGE = firm-phoenix-ware

DESTDIR = debian/$(PACKAGE)

override_dh_auto_build:
	$(MAKE) all_firmware

override_dh_auto_clean:
	$(MAKE) clean_firmware
	rm -f firmware/eyes firmware/mca firmware/*.hex

override_dh_auto_install:
	for d in expeyes kuttypy microhope; do \
	  mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)/$$d; \
	done
	cp -a firmware/* $(DESTDIR)/usr/share/$(PACKAGE)/expeyes
	cp -a kuttyPy/firmware/* $(DESTDIR)/usr/share/$(PACKAGE)/kuttypy
	cp -a microhope/firmware/* $(DESTDIR)/usr/share/$(PACKAGE)/microhope

override_dh_builddeb:
	# remove executable flags (ELF files are for AVR)
	# except for shell scripts
	for f in $$(find $(DESTDIR)/usr/share/$(PACKAGE) -type f); do \
	   if file $$f | grep -q "shell script"; then chmod +x $$f; \
	   else chmod -x $$f; fi; \
	done
	dh_builddeb
